var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { Component } from 'react';
import cls from 'classnames';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { TimePicker as NextTimePicker } from '@alifd/next';
class TimePicker extends Component {
    render() {
        const _a = this.props, { prefix = 'next-', className, popupAlign = 'bl tl' } = _a, otherProps = __rest(_a, ["prefix", "className", "popupAlign"]);
        // right 模式
        return (React.createElement(NextTimePicker, Object.assign({}, otherProps, { prefix: prefix, popupAlign: popupAlign, className: cls(className, {}) })));
    }
}
hoistNonReactStatics(TimePicker, NextTimePicker);
export default TimePicker;
